Fixed channel selection on outgoing calls on NT-mode multipoint
[lcr.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 @ENABLE_GSM_TRUE@am__append_1 = 
36 @ENABLE_GSM_TRUE@am__append_2 = gsm_audio.c gsm.cpp gsm_conf.c
37 @ENABLE_GSM_TRUE@am__append_3 = /usr/lib/libgsm.a
38
39 #gsm_audio.po: gsm_audio.c gsm_audio.h
40 #       $(CC) -D_GNU_SOURCE -fPIC -c gsm_audio.c -o gsm_audio.po
41 @ENABLE_GSM_BS_TRUE@am__append_4 = -DWITH_GSM_BS -I./openbsc/include -I./libosmocore/include -I./openbsc
42 @ENABLE_GSM_BS_TRUE@am__append_5 = gsm_bs.cpp openbsc/src/bsc_init.c openbsc/src/bsc_vty.c openbsc/src/vty_interface_layer3.c openbsc/src/bsc_api.c openbsc/src/bsc_version.c
43 @ENABLE_GSM_BS_TRUE@am__append_6 = ./openbsc/src/libbsc.a ./openbsc/src/libmsc.a ./openbsc/src/libvty.a -losmovty -losmocore -ldbi -lcrypt
44 @ENABLE_GSM_MS_TRUE@am__append_7 = -DPACKAGE_VERSION=0 -DWITH_GSM_MS -I./layer23/include -I./libosmocore/include
45 @ENABLE_GSM_MS_TRUE@am__append_8 = gsm_ms.cpp layer23/src/app_mobile.c
46 @ENABLE_GSM_MS_TRUE@am__append_9 = ./layer23/src/liblayer23.a ./libosmocore/build-host/src/.libs/libosmocore.a ./libosmocore/build-host/src/vty/.libs/libosmovty.a
47 bin_PROGRAMS = lcradmin$(EXEEXT) gentones$(EXEEXT) genwave$(EXEEXT)
48 sbin_PROGRAMS = lcr$(EXEEXT) genrc$(EXEEXT) genextension$(EXEEXT)
49 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@noinst_PROGRAMS =  \
50 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   chan_lcr.so$(EXEEXT)
51 subdir = .
52 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
53         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
54         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
55         depcomp install-sh missing mkinstalldirs
56 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
57 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
58         $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
62  configure.lineno config.status.lineno
63 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
64 CONFIG_HEADER = config.h
65 CONFIG_CLEAN_FILES =
66 CONFIG_CLEAN_VPATH_FILES =
67 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"
68 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS) $(sbin_PROGRAMS)
69 am_chan_lcr_so_OBJECTS =
70 chan_lcr_so_OBJECTS = $(am_chan_lcr_so_OBJECTS)
71 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@chan_lcr_so_DEPENDENCIES =  \
72 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   chan_lcr.po bchannel.po \
73 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   options.po callerid.po \
74 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   select.po
75 chan_lcr_so_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
76         $(chan_lcr_so_LDFLAGS) $(LDFLAGS) -o $@
77 am_genextension_OBJECTS = genext.$(OBJEXT) options.$(OBJEXT) \
78         extension.$(OBJEXT)
79 genextension_OBJECTS = $(am_genextension_OBJECTS)
80 genextension_LDADD = $(LDADD)
81 genrc_SOURCES = genrc.c
82 genrc_OBJECTS = genrc.$(OBJEXT)
83 genrc_LDADD = $(LDADD)
84 gentones_SOURCES = gentones.c
85 gentones_OBJECTS = gentones.$(OBJEXT)
86 gentones_LDADD = $(LDADD)
87 genwave_SOURCES = genwave.c
88 genwave_OBJECTS = genwave.$(OBJEXT)
89 genwave_LDADD = $(LDADD)
90 am__lcr_SOURCES_DIST = gsm_audio.c gsm.cpp gsm_conf.c gsm_bs.cpp \
91         openbsc/src/bsc_init.c openbsc/src/bsc_vty.c \
92         openbsc/src/vty_interface_layer3.c openbsc/src/bsc_api.c \
93         openbsc/src/bsc_version.c gsm_ms.cpp layer23/src/app_mobile.c \
94         ss5.cpp ss5_encode.c ss5_decode.c select.c action.cpp \
95         mISDN.cpp tones.c action_efi.cpp crypt.cpp mail.c trace.c \
96         action_vbox.cpp dss1.cpp main.c vbox.cpp alawulaw.c \
97         endpoint.cpp interface.c message.c apppbx.cpp endpointapp.cpp \
98         join.cpp options.c extension.c joinpbx.cpp port.cpp callerid.c \
99         joinremote.cpp route.c cause.c socket_server.c
100 @ENABLE_GSM_TRUE@am__objects_1 = gsm_audio.$(OBJEXT) gsm.$(OBJEXT) \
101 @ENABLE_GSM_TRUE@       gsm_conf.$(OBJEXT)
102 @ENABLE_GSM_BS_TRUE@am__objects_2 = gsm_bs.$(OBJEXT) \
103 @ENABLE_GSM_BS_TRUE@    bsc_init.$(OBJEXT) bsc_vty.$(OBJEXT) \
104 @ENABLE_GSM_BS_TRUE@    vty_interface_layer3.$(OBJEXT) \
105 @ENABLE_GSM_BS_TRUE@    bsc_api.$(OBJEXT) bsc_version.$(OBJEXT)
106 @ENABLE_GSM_MS_TRUE@am__objects_3 = gsm_ms.$(OBJEXT) \
107 @ENABLE_GSM_MS_TRUE@    app_mobile.$(OBJEXT)
108 am__objects_4 = $(am__objects_1) $(am__objects_2) $(am__objects_3)
109 @ENABLE_SS5_TRUE@am__objects_5 = ss5.$(OBJEXT) ss5_encode.$(OBJEXT) \
110 @ENABLE_SS5_TRUE@       ss5_decode.$(OBJEXT)
111 am_lcr_OBJECTS = $(am__objects_4) $(am__objects_5) select.$(OBJEXT) \
112         action.$(OBJEXT) mISDN.$(OBJEXT) tones.$(OBJEXT) \
113         action_efi.$(OBJEXT) crypt.$(OBJEXT) mail.$(OBJEXT) \
114         trace.$(OBJEXT) action_vbox.$(OBJEXT) dss1.$(OBJEXT) \
115         main.$(OBJEXT) vbox.$(OBJEXT) alawulaw.$(OBJEXT) \
116         endpoint.$(OBJEXT) interface.$(OBJEXT) message.$(OBJEXT) \
117         apppbx.$(OBJEXT) endpointapp.$(OBJEXT) join.$(OBJEXT) \
118         options.$(OBJEXT) extension.$(OBJEXT) joinpbx.$(OBJEXT) \
119         port.$(OBJEXT) callerid.$(OBJEXT) joinremote.$(OBJEXT) \
120         route.$(OBJEXT) cause.$(OBJEXT) socket_server.$(OBJEXT)
121 lcr_OBJECTS = $(am_lcr_OBJECTS)
122 am__DEPENDENCIES_1 =
123 @ENABLE_GSM_BS_TRUE@am__DEPENDENCIES_2 = ./openbsc/src/libbsc.a \
124 @ENABLE_GSM_BS_TRUE@    ./openbsc/src/libmsc.a \
125 @ENABLE_GSM_BS_TRUE@    ./openbsc/src/libvty.a
126 am__DEPENDENCIES_3 = $(am__append_3) $(am__DEPENDENCIES_2) \
127         $(am__append_9)
128 lcr_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_3)
129 am_lcradmin_OBJECTS = lcradmin.$(OBJEXT) cause.$(OBJEXT) \
130         options.$(OBJEXT)
131 lcradmin_OBJECTS = $(am_lcradmin_OBJECTS)
132 lcradmin_LDADD = $(LDADD)
133 DEFAULT_INCLUDES = -I.@am__isrc@
134 depcomp = $(SHELL) $(top_srcdir)/depcomp
135 am__depfiles_maybe = depfiles
136 am__mv = mv -f
137 CCLD = $(CC)
138 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
139         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
140 CXXLD = $(CXX)
141 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
142         -o $@
143 SOURCES = $(chan_lcr_so_SOURCES) $(genextension_SOURCES) genrc.c \
144         gentones.c genwave.c $(lcr_SOURCES) $(lcradmin_SOURCES)
145 DIST_SOURCES = $(chan_lcr_so_SOURCES) $(genextension_SOURCES) genrc.c \
146         gentones.c genwave.c $(am__lcr_SOURCES_DIST) \
147         $(lcradmin_SOURCES)
148 ETAGS = etags
149 CTAGS = ctags
150 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151 distdir = $(PACKAGE)-$(VERSION)
152 top_distdir = $(distdir)
153 am__remove_distdir = \
154   { test ! -d "$(distdir)" \
155     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
156          && rm -fr "$(distdir)"; }; }
157 DIST_ARCHIVES = $(distdir).tar.gz
158 GZIP_ENV = --best
159 distuninstallcheck_listfiles = find . -type f -print
160 distcleancheck_listfiles = find . -type f -print
161 ACLOCAL = @ACLOCAL@
162 AMTAR = @AMTAR@
163 AST_CFLAGS = @AST_CFLAGS@
164 AUTOCONF = @AUTOCONF@
165 AUTOHEADER = @AUTOHEADER@
166 AUTOMAKE = @AUTOMAKE@
167 AWK = @AWK@
168 CC = @CC@
169 CCDEPMODE = @CCDEPMODE@
170 CFLAGS = @CFLAGS@
171 CPP = @CPP@
172 CPPFLAGS = @CPPFLAGS@
173 CXX = @CXX@
174 CXXDEPMODE = @CXXDEPMODE@
175 CXXFLAGS = @CXXFLAGS@
176 CYGPATH_W = @CYGPATH_W@
177 DEFS = @DEFS@
178 DEPDIR = @DEPDIR@
179 ECHO_C = @ECHO_C@
180 ECHO_N = @ECHO_N@
181 ECHO_T = @ECHO_T@
182 EGREP = @EGREP@
183 EXEEXT = @EXEEXT@
184 GREP = @GREP@
185 INSTALL = @INSTALL@
186 INSTALL_DATA = @INSTALL_DATA@
187 INSTALL_PROGRAM = @INSTALL_PROGRAM@
188 INSTALL_SCRIPT = @INSTALL_SCRIPT@
189 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
190 LDFLAGS = @LDFLAGS@
191 LIBCRYPTO = @LIBCRYPTO@
192 LIBOBJS = @LIBOBJS@
193 LIBS = @LIBS@
194 LTLIBOBJS = @LTLIBOBJS@
195 MAKEINFO = @MAKEINFO@
196 MKDIR_P = @MKDIR_P@
197 OBJEXT = @OBJEXT@
198 PACKAGE = @PACKAGE@
199 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
200 PACKAGE_NAME = @PACKAGE_NAME@
201 PACKAGE_STRING = @PACKAGE_STRING@
202 PACKAGE_TARNAME = @PACKAGE_TARNAME@
203 PACKAGE_VERSION = @PACKAGE_VERSION@
204 PATH_SEPARATOR = @PATH_SEPARATOR@
205 POW_LIB = @POW_LIB@
206 SET_MAKE = @SET_MAKE@
207 SHELL = @SHELL@
208 STRIP = @STRIP@
209 VERSION = @VERSION@
210 abs_builddir = @abs_builddir@
211 abs_srcdir = @abs_srcdir@
212 abs_top_builddir = @abs_top_builddir@
213 abs_top_srcdir = @abs_top_srcdir@
214 ac_ct_CC = @ac_ct_CC@
215 ac_ct_CXX = @ac_ct_CXX@
216 am__include = @am__include@
217 am__leading_dot = @am__leading_dot@
218 am__quote = @am__quote@
219 am__tar = @am__tar@
220 am__untar = @am__untar@
221 bindir = @bindir@
222 build_alias = @build_alias@
223 builddir = @builddir@
224 datadir = @datadir@
225 datarootdir = @datarootdir@
226 docdir = @docdir@
227 dvidir = @dvidir@
228 exec_prefix = @exec_prefix@
229 host_alias = @host_alias@
230 htmldir = @htmldir@
231 includedir = @includedir@
232 infodir = @infodir@
233 install_sh = @install_sh@
234 libdir = @libdir@
235 libexecdir = @libexecdir@
236 localedir = @localedir@
237 localstatedir = @localstatedir@
238 mandir = @mandir@
239 mkdir_p = @mkdir_p@
240 oldincludedir = @oldincludedir@
241 pdfdir = @pdfdir@
242 prefix = @prefix@
243 program_transform_name = @program_transform_name@
244 psdir = @psdir@
245 sbindir = @sbindir@
246 sharedstatedir = @sharedstatedir@
247 srcdir = @srcdir@
248 sysconfdir = @sysconfdir@
249 target_alias = @target_alias@
250 top_build_prefix = @top_build_prefix@
251 top_builddir = @top_builddir@
252 top_srcdir = @top_srcdir@
253 INSTALLdir = $(DESTDIR)/usr/local/lcr
254 pkglogdir = $(localstatedir)/log/@PACKAGE@
255 pkgsysconfdir = $(sysconfdir)/@PACKAGE@
256
257 #CONFIGdir=$(DESTDIR)$(pkgsysconfdir)
258 #SHAREdir=$(DESTDIR)$(pkgdatadir)
259 #LOGdir=$(DESTDIR)$(pkglogdir)
260 #EXTENSIONdir=$(DESTDIR)$(localstatedir)/lib/lcr
261 CONFIGdir = $(INSTALLdir)
262 SHAREdir = $(INSTALLdir)
263 LOGdir = $(INSTALLdir)
264 EXTENSIONdir = $(INSTALLdir)/extensions
265 astmoddir = $(DESTDIR)/usr/lib/asterisk/modules
266 INSTALLATION_DEFINES = \
267  -DCONFIG_DATA="\"$(CONFIGdir)\"" \
268  -DSHARE_DATA="\"$(SHAREdir)\"" \
269  -DLOG_DIR="\"$(LOGdir)\"" \
270  -DEXTENSION_DATA="\"$(EXTENSIONdir)\""
271
272 GSM_INCLUDE = $(am__append_1) $(am__append_4) $(am__append_7)
273 GSM_SOURCE = $(am__append_2) $(am__append_5) $(am__append_8)
274 GSM_LIB = $(am__append_3) $(am__append_6) $(am__append_9)
275 @ENABLE_SS5_TRUE@SS5_INCLUDE = -DWITH_SS5
276 @ENABLE_SS5_TRUE@SS5_SOURCE = ss5.cpp ss5_encode.c ss5_decode.c
277 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@chan_lcr_so_SOURCES = 
278 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@chan_lcr_so_LDFLAGS = -shared
279 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@chan_lcr_so_LDADD = chan_lcr.po bchannel.po options.po callerid.po select.po
280 INCLUDES = $(all_includes) $(GSM_INCLUDE) $(SS5_INCLUDE) -Wall $(INSTALLATION_DEFINES)
281 lcr_SOURCES = $(GSM_SOURCE) $(SS5_SOURCE) select.c action.cpp       mISDN.cpp        tones.c \
282         action_efi.cpp   crypt.cpp        mail.c           trace.c \
283         action_vbox.cpp  dss1.cpp         main.c           \
284         vbox.cpp alawulaw.c       endpoint.cpp     interface.c     message.c \
285         apppbx.cpp       endpointapp.cpp  join.cpp        options.c       \
286         extension.c      joinpbx.cpp     port.cpp \
287         callerid.c       joinremote.cpp  route.c \
288         cause.c          socket_server.c
289
290 lcr_LDADD = $(LIBCRYPTO) -lmisdn -lpthread $(GSM_LIB)
291 lcradmin_SOURCES = lcradmin.c cause.c options.c
292 genextension_SOURCES = genext.c options.c extension.c
293
294 # test rule, nothing important
295 #echo:
296 #       -echo $(all_libraries) >&2
297
298 # CAUTION: CRUDE CRUDE HACK !!
299 # This transforms all compiling and linking calls from gcc into g++
300 # This should better be removed and all .c files renamed to .cpp
301 COMPILE = $(CXXCOMPILE)
302 LINK = $(CXXLINK)
303 all: config.h
304         $(MAKE) $(AM_MAKEFLAGS) all-am
305
306 .SUFFIXES:
307 .SUFFIXES: .c .cpp .o .obj
308 am--refresh:
309         @:
310 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
311         @for dep in $?; do \
312           case '$(am__configure_deps)' in \
313             *$$dep*) \
314               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
315               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
316                 && exit 0; \
317               exit 1;; \
318           esac; \
319         done; \
320         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
321         $(am__cd) $(top_srcdir) && \
322           $(AUTOMAKE) --gnu Makefile
323 .PRECIOUS: Makefile
324 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
325         @case '$?' in \
326           *config.status*) \
327             echo ' $(SHELL) ./config.status'; \
328             $(SHELL) ./config.status;; \
329           *) \
330             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
331             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
332         esac;
333
334 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
335         $(SHELL) ./config.status --recheck
336
337 $(top_srcdir)/configure:  $(am__configure_deps)
338         $(am__cd) $(srcdir) && $(AUTOCONF)
339 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
340         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
341 $(am__aclocal_m4_deps):
342
343 config.h: stamp-h1
344         @if test ! -f $@; then \
345           rm -f stamp-h1; \
346           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
347         else :; fi
348
349 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
350         @rm -f stamp-h1
351         cd $(top_builddir) && $(SHELL) ./config.status config.h
352 $(srcdir)/config.h.in:  $(am__configure_deps) 
353         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
354         rm -f stamp-h1
355         touch $@
356
357 distclean-hdr:
358         -rm -f config.h stamp-h1
359 install-binPROGRAMS: $(bin_PROGRAMS)
360         @$(NORMAL_INSTALL)
361         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
362         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
363         for p in $$list; do echo "$$p $$p"; done | \
364         sed 's/$(EXEEXT)$$//' | \
365         while read p p1; do if test -f $$p; \
366           then echo "$$p"; echo "$$p"; else :; fi; \
367         done | \
368         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
369             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
370         sed 'N;N;N;s,\n, ,g' | \
371         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
372           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
373             if ($$2 == $$4) files[d] = files[d] " " $$1; \
374             else { print "f", $$3 "/" $$4, $$1; } } \
375           END { for (d in files) print "f", d, files[d] }' | \
376         while read type dir files; do \
377             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
378             test -z "$$files" || { \
379               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
380               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
381             } \
382         ; done
383
384 uninstall-binPROGRAMS:
385         @$(NORMAL_UNINSTALL)
386         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
387         files=`for p in $$list; do echo "$$p"; done | \
388           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
389               -e 's/$$/$(EXEEXT)/' `; \
390         test -n "$$list" || exit 0; \
391         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
392         cd "$(DESTDIR)$(bindir)" && rm -f $$files
393
394 clean-binPROGRAMS:
395         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
396
397 clean-noinstPROGRAMS:
398         -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
399 install-sbinPROGRAMS: $(sbin_PROGRAMS)
400         @$(NORMAL_INSTALL)
401         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
402         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
403         for p in $$list; do echo "$$p $$p"; done | \
404         sed 's/$(EXEEXT)$$//' | \
405         while read p p1; do if test -f $$p; \
406           then echo "$$p"; echo "$$p"; else :; fi; \
407         done | \
408         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
409             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
410         sed 'N;N;N;s,\n, ,g' | \
411         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
412           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
413             if ($$2 == $$4) files[d] = files[d] " " $$1; \
414             else { print "f", $$3 "/" $$4, $$1; } } \
415           END { for (d in files) print "f", d, files[d] }' | \
416         while read type dir files; do \
417             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
418             test -z "$$files" || { \
419               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
420               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
421             } \
422         ; done
423
424 uninstall-sbinPROGRAMS:
425         @$(NORMAL_UNINSTALL)
426         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
427         files=`for p in $$list; do echo "$$p"; done | \
428           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
429               -e 's/$$/$(EXEEXT)/' `; \
430         test -n "$$list" || exit 0; \
431         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
432         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
433
434 clean-sbinPROGRAMS:
435         -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
436 chan_lcr.so$(EXEEXT): $(chan_lcr_so_OBJECTS) $(chan_lcr_so_DEPENDENCIES) 
437         @rm -f chan_lcr.so$(EXEEXT)
438         $(chan_lcr_so_LINK) $(chan_lcr_so_OBJECTS) $(chan_lcr_so_LDADD) $(LIBS)
439 genextension$(EXEEXT): $(genextension_OBJECTS) $(genextension_DEPENDENCIES) 
440         @rm -f genextension$(EXEEXT)
441         $(LINK) $(genextension_OBJECTS) $(genextension_LDADD) $(LIBS)
442 genrc$(EXEEXT): $(genrc_OBJECTS) $(genrc_DEPENDENCIES) 
443         @rm -f genrc$(EXEEXT)
444         $(LINK) $(genrc_OBJECTS) $(genrc_LDADD) $(LIBS)
445 gentones$(EXEEXT): $(gentones_OBJECTS) $(gentones_DEPENDENCIES) 
446         @rm -f gentones$(EXEEXT)
447         $(LINK) $(gentones_OBJECTS) $(gentones_LDADD) $(LIBS)
448 genwave$(EXEEXT): $(genwave_OBJECTS) $(genwave_DEPENDENCIES) 
449         @rm -f genwave$(EXEEXT)
450         $(LINK) $(genwave_OBJECTS) $(genwave_LDADD) $(LIBS)
451 lcr$(EXEEXT): $(lcr_OBJECTS) $(lcr_DEPENDENCIES) 
452         @rm -f lcr$(EXEEXT)
453         $(CXXLINK) $(lcr_OBJECTS) $(lcr_LDADD) $(LIBS)
454 lcradmin$(EXEEXT): $(lcradmin_OBJECTS) $(lcradmin_DEPENDENCIES) 
455         @rm -f lcradmin$(EXEEXT)
456         $(LINK) $(lcradmin_OBJECTS) $(lcradmin_LDADD) $(LIBS)
457
458 mostlyclean-compile:
459         -rm -f *.$(OBJEXT)
460
461 distclean-compile:
462         -rm -f *.tab.c
463
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/action.Po@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/action_efi.Po@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/action_vbox.Po@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alawulaw.Po@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app_mobile.Po@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/apppbx.Po@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bsc_api.Po@am__quote@
471 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bsc_init.Po@am__quote@
472 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bsc_version.Po@am__quote@
473 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bsc_vty.Po@am__quote@
474 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/callerid.Po@am__quote@
475 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cause.Po@am__quote@
476 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypt.Po@am__quote@
477 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dss1.Po@am__quote@
478 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/endpoint.Po@am__quote@
479 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/endpointapp.Po@am__quote@
480 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extension.Po@am__quote@
481 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genext.Po@am__quote@
482 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genrc.Po@am__quote@
483 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gentones.Po@am__quote@
484 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genwave.Po@am__quote@
485 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gsm.Po@am__quote@
486 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gsm_audio.Po@am__quote@
487 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gsm_bs.Po@am__quote@
488 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gsm_conf.Po@am__quote@
489 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gsm_ms.Po@am__quote@
490 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/interface.Po@am__quote@
491 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/join.Po@am__quote@
492 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joinpbx.Po@am__quote@
493 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joinremote.Po@am__quote@
494 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lcradmin.Po@am__quote@
495 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mISDN.Po@am__quote@
496 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mail.Po@am__quote@
497 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
498 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/message.Po@am__quote@
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Po@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/port.Po@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/route.Po@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/select.Po@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/socket_server.Po@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ss5.Po@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ss5_decode.Po@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ss5_encode.Po@am__quote@
507 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tones.Po@am__quote@
508 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace.Po@am__quote@
509 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vbox.Po@am__quote@
510 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vty_interface_layer3.Po@am__quote@
511
512 .c.o:
513 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
514 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
515 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
516 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
517 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
518
519 .c.obj:
520 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
521 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
522 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
523 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
524 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
525
526 bsc_init.o: openbsc/src/bsc_init.c
527 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_init.o -MD -MP -MF $(DEPDIR)/bsc_init.Tpo -c -o bsc_init.o `test -f 'openbsc/src/bsc_init.c' || echo '$(srcdir)/'`openbsc/src/bsc_init.c
528 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_init.Tpo $(DEPDIR)/bsc_init.Po
529 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_init.c' object='bsc_init.o' libtool=no @AMDEPBACKSLASH@
530 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
531 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_init.o `test -f 'openbsc/src/bsc_init.c' || echo '$(srcdir)/'`openbsc/src/bsc_init.c
532
533 bsc_init.obj: openbsc/src/bsc_init.c
534 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_init.obj -MD -MP -MF $(DEPDIR)/bsc_init.Tpo -c -o bsc_init.obj `if test -f 'openbsc/src/bsc_init.c'; then $(CYGPATH_W) 'openbsc/src/bsc_init.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_init.c'; fi`
535 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_init.Tpo $(DEPDIR)/bsc_init.Po
536 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_init.c' object='bsc_init.obj' libtool=no @AMDEPBACKSLASH@
537 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
538 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_init.obj `if test -f 'openbsc/src/bsc_init.c'; then $(CYGPATH_W) 'openbsc/src/bsc_init.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_init.c'; fi`
539
540 bsc_vty.o: openbsc/src/bsc_vty.c
541 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_vty.o -MD -MP -MF $(DEPDIR)/bsc_vty.Tpo -c -o bsc_vty.o `test -f 'openbsc/src/bsc_vty.c' || echo '$(srcdir)/'`openbsc/src/bsc_vty.c
542 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_vty.Tpo $(DEPDIR)/bsc_vty.Po
543 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_vty.c' object='bsc_vty.o' libtool=no @AMDEPBACKSLASH@
544 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
545 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_vty.o `test -f 'openbsc/src/bsc_vty.c' || echo '$(srcdir)/'`openbsc/src/bsc_vty.c
546
547 bsc_vty.obj: openbsc/src/bsc_vty.c
548 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_vty.obj -MD -MP -MF $(DEPDIR)/bsc_vty.Tpo -c -o bsc_vty.obj `if test -f 'openbsc/src/bsc_vty.c'; then $(CYGPATH_W) 'openbsc/src/bsc_vty.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_vty.c'; fi`
549 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_vty.Tpo $(DEPDIR)/bsc_vty.Po
550 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_vty.c' object='bsc_vty.obj' libtool=no @AMDEPBACKSLASH@
551 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
552 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_vty.obj `if test -f 'openbsc/src/bsc_vty.c'; then $(CYGPATH_W) 'openbsc/src/bsc_vty.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_vty.c'; fi`
553
554 vty_interface_layer3.o: openbsc/src/vty_interface_layer3.c
555 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vty_interface_layer3.o -MD -MP -MF $(DEPDIR)/vty_interface_layer3.Tpo -c -o vty_interface_layer3.o `test -f 'openbsc/src/vty_interface_layer3.c' || echo '$(srcdir)/'`openbsc/src/vty_interface_layer3.c
556 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/vty_interface_layer3.Tpo $(DEPDIR)/vty_interface_layer3.Po
557 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/vty_interface_layer3.c' object='vty_interface_layer3.o' libtool=no @AMDEPBACKSLASH@
558 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
559 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vty_interface_layer3.o `test -f 'openbsc/src/vty_interface_layer3.c' || echo '$(srcdir)/'`openbsc/src/vty_interface_layer3.c
560
561 vty_interface_layer3.obj: openbsc/src/vty_interface_layer3.c
562 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vty_interface_layer3.obj -MD -MP -MF $(DEPDIR)/vty_interface_layer3.Tpo -c -o vty_interface_layer3.obj `if test -f 'openbsc/src/vty_interface_layer3.c'; then $(CYGPATH_W) 'openbsc/src/vty_interface_layer3.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/vty_interface_layer3.c'; fi`
563 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/vty_interface_layer3.Tpo $(DEPDIR)/vty_interface_layer3.Po
564 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/vty_interface_layer3.c' object='vty_interface_layer3.obj' libtool=no @AMDEPBACKSLASH@
565 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
566 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vty_interface_layer3.obj `if test -f 'openbsc/src/vty_interface_layer3.c'; then $(CYGPATH_W) 'openbsc/src/vty_interface_layer3.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/vty_interface_layer3.c'; fi`
567
568 bsc_api.o: openbsc/src/bsc_api.c
569 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_api.o -MD -MP -MF $(DEPDIR)/bsc_api.Tpo -c -o bsc_api.o `test -f 'openbsc/src/bsc_api.c' || echo '$(srcdir)/'`openbsc/src/bsc_api.c
570 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_api.Tpo $(DEPDIR)/bsc_api.Po
571 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_api.c' object='bsc_api.o' libtool=no @AMDEPBACKSLASH@
572 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
573 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_api.o `test -f 'openbsc/src/bsc_api.c' || echo '$(srcdir)/'`openbsc/src/bsc_api.c
574
575 bsc_api.obj: openbsc/src/bsc_api.c
576 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_api.obj -MD -MP -MF $(DEPDIR)/bsc_api.Tpo -c -o bsc_api.obj `if test -f 'openbsc/src/bsc_api.c'; then $(CYGPATH_W) 'openbsc/src/bsc_api.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_api.c'; fi`
577 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_api.Tpo $(DEPDIR)/bsc_api.Po
578 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_api.c' object='bsc_api.obj' libtool=no @AMDEPBACKSLASH@
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
580 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_api.obj `if test -f 'openbsc/src/bsc_api.c'; then $(CYGPATH_W) 'openbsc/src/bsc_api.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_api.c'; fi`
581
582 bsc_version.o: openbsc/src/bsc_version.c
583 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_version.o -MD -MP -MF $(DEPDIR)/bsc_version.Tpo -c -o bsc_version.o `test -f 'openbsc/src/bsc_version.c' || echo '$(srcdir)/'`openbsc/src/bsc_version.c
584 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_version.Tpo $(DEPDIR)/bsc_version.Po
585 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_version.c' object='bsc_version.o' libtool=no @AMDEPBACKSLASH@
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
587 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_version.o `test -f 'openbsc/src/bsc_version.c' || echo '$(srcdir)/'`openbsc/src/bsc_version.c
588
589 bsc_version.obj: openbsc/src/bsc_version.c
590 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bsc_version.obj -MD -MP -MF $(DEPDIR)/bsc_version.Tpo -c -o bsc_version.obj `if test -f 'openbsc/src/bsc_version.c'; then $(CYGPATH_W) 'openbsc/src/bsc_version.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_version.c'; fi`
591 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/bsc_version.Tpo $(DEPDIR)/bsc_version.Po
592 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='openbsc/src/bsc_version.c' object='bsc_version.obj' libtool=no @AMDEPBACKSLASH@
593 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
594 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bsc_version.obj `if test -f 'openbsc/src/bsc_version.c'; then $(CYGPATH_W) 'openbsc/src/bsc_version.c'; else $(CYGPATH_W) '$(srcdir)/openbsc/src/bsc_version.c'; fi`
595
596 app_mobile.o: layer23/src/app_mobile.c
597 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT app_mobile.o -MD -MP -MF $(DEPDIR)/app_mobile.Tpo -c -o app_mobile.o `test -f 'layer23/src/app_mobile.c' || echo '$(srcdir)/'`layer23/src/app_mobile.c
598 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/app_mobile.Tpo $(DEPDIR)/app_mobile.Po
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='layer23/src/app_mobile.c' object='app_mobile.o' libtool=no @AMDEPBACKSLASH@
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
601 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o app_mobile.o `test -f 'layer23/src/app_mobile.c' || echo '$(srcdir)/'`layer23/src/app_mobile.c
602
603 app_mobile.obj: layer23/src/app_mobile.c
604 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT app_mobile.obj -MD -MP -MF $(DEPDIR)/app_mobile.Tpo -c -o app_mobile.obj `if test -f 'layer23/src/app_mobile.c'; then $(CYGPATH_W) 'layer23/src/app_mobile.c'; else $(CYGPATH_W) '$(srcdir)/layer23/src/app_mobile.c'; fi`
605 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/app_mobile.Tpo $(DEPDIR)/app_mobile.Po
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='layer23/src/app_mobile.c' object='app_mobile.obj' libtool=no @AMDEPBACKSLASH@
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
608 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o app_mobile.obj `if test -f 'layer23/src/app_mobile.c'; then $(CYGPATH_W) 'layer23/src/app_mobile.c'; else $(CYGPATH_W) '$(srcdir)/layer23/src/app_mobile.c'; fi`
609
610 .cpp.o:
611 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
612 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
613 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
614 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
615 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
616
617 .cpp.obj:
618 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
619 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
620 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
621 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
622 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
623
624 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
625         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
626         unique=`for i in $$list; do \
627             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
628           done | \
629           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
630               END { if (nonempty) { for (i in files) print i; }; }'`; \
631         mkid -fID $$unique
632 tags: TAGS
633
634 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
635                 $(TAGS_FILES) $(LISP)
636         set x; \
637         here=`pwd`; \
638         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
639         unique=`for i in $$list; do \
640             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
641           done | \
642           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
643               END { if (nonempty) { for (i in files) print i; }; }'`; \
644         shift; \
645         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
646           test -n "$$unique" || unique=$$empty_fix; \
647           if test $$# -gt 0; then \
648             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
649               "$$@" $$unique; \
650           else \
651             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
652               $$unique; \
653           fi; \
654         fi
655 ctags: CTAGS
656 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
657                 $(TAGS_FILES) $(LISP)
658         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
659         unique=`for i in $$list; do \
660             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
661           done | \
662           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
663               END { if (nonempty) { for (i in files) print i; }; }'`; \
664         test -z "$(CTAGS_ARGS)$$unique" \
665           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
666              $$unique
667
668 GTAGS:
669         here=`$(am__cd) $(top_builddir) && pwd` \
670           && $(am__cd) $(top_srcdir) \
671           && gtags -i $(GTAGS_ARGS) "$$here"
672
673 distclean-tags:
674         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
675
676 distdir: $(DISTFILES)
677         $(am__remove_distdir)
678         test -d "$(distdir)" || mkdir "$(distdir)"
679         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
680         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
681         list='$(DISTFILES)'; \
682           dist_files=`for file in $$list; do echo $$file; done | \
683           sed -e "s|^$$srcdirstrip/||;t" \
684               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
685         case $$dist_files in \
686           */*) $(MKDIR_P) `echo "$$dist_files" | \
687                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
688                            sort -u` ;; \
689         esac; \
690         for file in $$dist_files; do \
691           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
692           if test -d $$d/$$file; then \
693             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
694             if test -d "$(distdir)/$$file"; then \
695               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
696             fi; \
697             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
698               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
699               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
700             fi; \
701             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
702           else \
703             test -f "$(distdir)/$$file" \
704             || cp -p $$d/$$file "$(distdir)/$$file" \
705             || exit 1; \
706           fi; \
707         done
708         -test -n "$(am__skip_mode_fix)" \
709         || find "$(distdir)" -type d ! -perm -755 \
710                 -exec chmod u+rwx,go+rx {} \; -o \
711           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
712           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
713           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
714         || chmod -R a+r "$(distdir)"
715 dist-gzip: distdir
716         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
717         $(am__remove_distdir)
718
719 dist-bzip2: distdir
720         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
721         $(am__remove_distdir)
722
723 dist-lzma: distdir
724         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
725         $(am__remove_distdir)
726
727 dist-xz: distdir
728         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
729         $(am__remove_distdir)
730
731 dist-tarZ: distdir
732         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
733         $(am__remove_distdir)
734
735 dist-shar: distdir
736         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
737         $(am__remove_distdir)
738
739 dist-zip: distdir
740         -rm -f $(distdir).zip
741         zip -rq $(distdir).zip $(distdir)
742         $(am__remove_distdir)
743
744 dist dist-all: distdir
745         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
746         $(am__remove_distdir)
747
748 # This target untars the dist file and tries a VPATH configuration.  Then
749 # it guarantees that the distribution is self-contained by making another
750 # tarfile.
751 distcheck: dist
752         case '$(DIST_ARCHIVES)' in \
753         *.tar.gz*) \
754           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
755         *.tar.bz2*) \
756           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
757         *.tar.lzma*) \
758           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
759         *.tar.xz*) \
760           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
761         *.tar.Z*) \
762           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
763         *.shar.gz*) \
764           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
765         *.zip*) \
766           unzip $(distdir).zip ;;\
767         esac
768         chmod -R a-w $(distdir); chmod a+w $(distdir)
769         mkdir $(distdir)/_build
770         mkdir $(distdir)/_inst
771         chmod a-w $(distdir)
772         test -d $(distdir)/_build || exit 0; \
773         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
774           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
775           && am__cwd=`pwd` \
776           && $(am__cd) $(distdir)/_build \
777           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
778             $(DISTCHECK_CONFIGURE_FLAGS) \
779           && $(MAKE) $(AM_MAKEFLAGS) \
780           && $(MAKE) $(AM_MAKEFLAGS) dvi \
781           && $(MAKE) $(AM_MAKEFLAGS) check \
782           && $(MAKE) $(AM_MAKEFLAGS) install \
783           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
784           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
785           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
786                 distuninstallcheck \
787           && chmod -R a-w "$$dc_install_base" \
788           && ({ \
789                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
790                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
791                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
792                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
793                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
794               } || { rm -rf "$$dc_destdir"; exit 1; }) \
795           && rm -rf "$$dc_destdir" \
796           && $(MAKE) $(AM_MAKEFLAGS) dist \
797           && rm -rf $(DIST_ARCHIVES) \
798           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
799           && cd "$$am__cwd" \
800           || exit 1
801         $(am__remove_distdir)
802         @(echo "$(distdir) archives ready for distribution: "; \
803           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
804           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
805 distuninstallcheck:
806         @$(am__cd) '$(distuninstallcheck_dir)' \
807         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
808            || { echo "ERROR: files left after uninstall:" ; \
809                 if test -n "$(DESTDIR)"; then \
810                   echo "  (check DESTDIR support)"; \
811                 fi ; \
812                 $(distuninstallcheck_listfiles) ; \
813                 exit 1; } >&2
814 distcleancheck: distclean
815         @if test '$(srcdir)' = . ; then \
816           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
817           exit 1 ; \
818         fi
819         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
820           || { echo "ERROR: files left in build directory after distclean:" ; \
821                $(distcleancheck_listfiles) ; \
822                exit 1; } >&2
823 check-am: all-am
824 check: check-am
825 all-am: Makefile $(PROGRAMS) config.h
826 installdirs:
827         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"; do \
828           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
829         done
830 install: install-am
831 install-exec: install-exec-am
832 install-data: install-data-am
833 uninstall: uninstall-am
834
835 install-am: all-am
836         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
837
838 installcheck: installcheck-am
839 install-strip:
840         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
841           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
842           `test -z '$(STRIP)' || \
843             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
844 mostlyclean-generic:
845
846 distclean-generic:
847         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
848         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
849
850 maintainer-clean-generic:
851         @echo "This command is intended for maintainers to use"
852         @echo "it deletes files that may require special tools to rebuild."
853 @ENABLE_ASTERISK_CHANNEL_DRIVER_FALSE@install-exec-hook:
854 clean: clean-am
855
856 clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
857         clean-sbinPROGRAMS mostlyclean-am
858
859 distclean: distclean-am
860         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
861         -rm -rf ./$(DEPDIR)
862         -rm -f Makefile
863 distclean-am: clean-am distclean-compile distclean-generic \
864         distclean-hdr distclean-tags
865
866 dvi: dvi-am
867
868 dvi-am:
869
870 html: html-am
871
872 html-am:
873
874 info: info-am
875
876 info-am:
877
878 install-data-am:
879         @$(NORMAL_INSTALL)
880         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
881 install-dvi: install-dvi-am
882
883 install-dvi-am:
884
885 install-exec-am: install-binPROGRAMS install-sbinPROGRAMS
886         @$(NORMAL_INSTALL)
887         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
888 install-html: install-html-am
889
890 install-html-am:
891
892 install-info: install-info-am
893
894 install-info-am:
895
896 install-man:
897
898 install-pdf: install-pdf-am
899
900 install-pdf-am:
901
902 install-ps: install-ps-am
903
904 install-ps-am:
905
906 installcheck-am:
907
908 maintainer-clean: maintainer-clean-am
909         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
910         -rm -rf $(top_srcdir)/autom4te.cache
911         -rm -rf ./$(DEPDIR)
912         -rm -f Makefile
913 maintainer-clean-am: distclean-am maintainer-clean-generic
914
915 mostlyclean: mostlyclean-am
916
917 mostlyclean-am: mostlyclean-compile mostlyclean-generic
918
919 pdf: pdf-am
920
921 pdf-am:
922
923 ps: ps-am
924
925 ps-am:
926
927 uninstall-am: uninstall-binPROGRAMS uninstall-sbinPROGRAMS
928
929 .MAKE: all install-am install-data-am install-exec-am install-strip
930
931 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
932         clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
933         clean-sbinPROGRAMS ctags dist dist-all dist-bzip2 dist-gzip \
934         dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
935         distclean distclean-compile distclean-generic distclean-hdr \
936         distclean-tags distcleancheck distdir distuninstallcheck dvi \
937         dvi-am html html-am info info-am install install-am \
938         install-binPROGRAMS install-data install-data-am \
939         install-data-hook install-dvi install-dvi-am install-exec \
940         install-exec-am install-exec-hook install-html install-html-am \
941         install-info install-info-am install-man install-pdf \
942         install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
943         install-strip installcheck installcheck-am installdirs \
944         maintainer-clean maintainer-clean-generic mostlyclean \
945         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
946         tags uninstall uninstall-am uninstall-binPROGRAMS \
947         uninstall-sbinPROGRAMS
948
949
950 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@chan_lcr.po: chan_lcr.c chan_lcr.h
951 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(CC) $(INCLUDES) $(AST_CFLAGS) -D_GNU_SOURCE -fPIC -c chan_lcr.c -o chan_lcr.po
952
953 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@bchannel.po: bchannel.c bchannel.h
954 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(CC) $(INCLUDES) -D_GNU_SOURCE -fPIC -c bchannel.c -o bchannel.po
955
956 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@callerid.po: callerid.c callerid.h
957 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(CC) $(INCLUDES) -D_GNU_SOURCE -fPIC -c callerid.c -o callerid.po
958
959 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@options.po: options.c options.h
960 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(CC) $(INCLUDES) -D_GNU_SOURCE -fPIC -c options.c -o options.po
961
962 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@select.po: select.c select.h
963 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(CC) $(INCLUDES) -D_GNU_SOURCE -fPIC -c select.c -o select.po
964
965 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@install-exec-hook:
966 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   mkdir -p $(astmoddir)
967 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(INSTALL) -d $(astmoddir)
968 @ENABLE_ASTERISK_CHANNEL_DRIVER_TRUE@   $(INSTALL) chan_lcr.so $(astmoddir)
969
970 # Special install function to preserve existing configs.
971 # Optimization with equivalen results are welcome
972
973 install-data-hook:
974         @sh -c 'grep -n strcpy *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use strcpy, use makro instead." ; exit -1 ; fi'
975         @sh -c 'grep -n strncpy *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use strncpy, use makro instead." ; exit -1 ; fi'
976         @sh -c 'grep -n strcat *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use strcat, use makro instead." ; exit -1 ; fi'
977         @sh -c 'grep -n strncat *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use strncat, use makro instead." ; exit -1 ; fi'
978         @sh -c 'grep -n sprintf *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use sprintf, use makro instead." ; exit -1 ; fi'
979         @sh -c 'grep -n snprintf *.c* --exclude chan_lcr.c --exclude bchannel.c --exclude callerid.c ; if test $$''? = 0 ; then echo "dont use snprintf, use makro instead." ; exit -1 ; fi'
980         mkdir -p $(CONFIGdir)
981         mkdir -p $(SHAREdir)
982         mkdir -p $(LOGdir)
983         mkdir -p $(EXTENSIONdir)
984         @if test -a $(CONFIGdir)/options.conf ; then \
985                 echo "NOTE: options.conf already exists, not changed." ; else \
986                 cp -v default/options.conf $(CONFIGdir) ; fi
987         @if test -a $(CONFIGdir)/interface.conf ; then \
988                 echo "NOTE: interface.conf already exists, not changed." ; else \
989                 cp -v default/interface.conf $(CONFIGdir) ; fi
990         @if test -a $(CONFIGdir)/routing.conf ; then \
991                 echo "NOTE: routing.conf already exists, not changed." ; else \
992                 cp -v default/routing.conf $(CONFIGdir) ; fi
993 @ENABLE_GSM_TRUE@       @if test -a $(CONFIGdir)/gsm.conf ; then \
994 @ENABLE_GSM_TRUE@               echo "NOTE: gsm.conf already exists, not changed." ; else \
995 @ENABLE_GSM_TRUE@               cp -v default/gsm.conf $(CONFIGdir) ; fi
996 @ENABLE_GSM_TRUE@       @if test -a $(CONFIGdir)/openbsc.cfg ; then \
997 @ENABLE_GSM_TRUE@               echo "NOTE: openbsc.cfg already exists, not changed." ; else \
998 @ENABLE_GSM_TRUE@               cp -v default/openbsc.cfg $(CONFIGdir) ; fi
999         @if test -a $(CONFIGdir)/numbering_int.conf ; then \
1000                 echo "NOTE: numbering_int.conf is obsolete, please use routing." ; fi
1001         @if test -a $(CONFIGdir)/numbering_ext.conf ; then \
1002                 echo "NOTE: numbering_ext.conf is obsolete, please use routing." ; fi
1003         @if test -a $(CONFIGdir)/directory.list ; then \
1004                 echo "NOTE: directory.list already exists, not changed." ; else \
1005                 cp -v default/directory.list $(CONFIGdir) ; fi
1006         @if test -a $(SHAREdir)/tones_american ; then \
1007                 echo "NOTE: american tones already exists, not overwritten." ; else \
1008                 cp -a tones_american $(SHAREdir) ; fi
1009         @if test -a $(SHAREdir)/tones_german ; then \
1010                 echo "NOTE: german tones already exists, not overwritten." ; else \
1011                 cp -a tones_german $(SHAREdir) ; fi
1012         @if test -a $(SHAREdir)/vbox_german ; then \
1013                 echo "NOTE: german vbox tones already exists, not overwritten." ; else \
1014                 cp -a vbox_german $(SHAREdir) ; fi
1015         @if test -a $(SHAREdir)/vbox_english ; then \
1016                 echo "NOTE: english vbox tones already exists, not overwritten." ; else \
1017                 cp -a vbox_english $(SHAREdir) ; fi
1018         @if test -a $(SHAREdir)/tones_efi ; then \
1019                 echo "NOTE: special efi tones already exists, not overwritten." ; else \
1020                 cp -a tones_efi $(SHAREdir) ; fi
1021
1022 clean-generic:
1023         rm -f *.po
1024
1025 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1026 # Otherwise a system limit (for SysV at least) may be exceeded.
1027 .NOEXPORT: